org.apache.storm.daemon.metrics

## Class BuiltinMetricsUtil

- java.lang.Object
- - org.apache.storm.daemon.metrics.BuiltinMetricsUtil

-     public class BuiltinMetricsUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BuiltinMetricsUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `registerIconnectionClientMetrics(Map<NodeInfo,IConnection> nodePortToSocket, Map<String,Object> topoConf, TopologyContext context)`
    `static void` | `registerIconnectionServerMetric(Object server, Map<String,Object> topoConf, TopologyContext context)`
    `static void` | `registerMetric(String name, IMetric metric, Map<String,Object> topoConf, TopologyContext context)`
    `static void` | `registerQueueMetrics(Map<String,JCQueue> queues, Map<String,Object> topoConf, TopologyContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BuiltinMetricsUtil

          public BuiltinMetricsUtil()

  - ### Method Detail

    - #### registerIconnectionServerMetric

          public static void registerIconnectionServerMetric(Object server,
                                                             Map<String,Object> topoConf,
                                                             TopologyContext context)

    - #### registerIconnectionClientMetrics

          public static void registerIconnectionClientMetrics(Map<NodeInfo,IConnection> nodePortToSocket,
                                                              Map<String,Object> topoConf,
                                                              TopologyContext context)

    - #### registerQueueMetrics

          public static void registerQueueMetrics(Map<String,JCQueue> queues,
                                                  Map<String,Object> topoConf,
                                                  TopologyContext context)

    - #### registerMetric

          public static void registerMetric(String name,
                                            IMetric metric,
                                            Map<String,Object> topoConf,
                                            TopologyContext context)

Copyright © 2019 The Apache Software Foundation. All rights reserved.